export interface Measurement {
  name: string;
  type: string;
  unit: string;
  maxValue: number;
  minValue: number;
  precision: number;
  maxReadoutDifference: number;
  maxFrozenTimeInSeconds: number;
  comment: string;
}

export class SensorModel {

  id!: number;
  name: string = '';
  description: string = '';
  protocol: string = '';
  protocolAddress: string = '';
  measurements: Measurement [] = [];
}
