interface locationDataType {
  latitude: number;
  longitude: number;
  altitude: number;
}
export class StationModel {
  id!: string;
  name: string = '';
  diary: string = '';
  host: string = '';
  clients: string[] = [];
  createdAt: string = '';
  updatedAt: string = '';
  location: locationDataType = {
    latitude: 0,
    longitude: 0,
    altitude: 0
  };
}
