import {Component,OnInit} from '@angular/core';
import {Chart} from "chart.js/auto";
import {Router} from "@angular/router";
@Component({
  selector: 'app-stationManagement',
  templateUrl: './stationManagement.component.html',
  styleUrls: ['./stationManagement.component.scss']
})
export class StationManagementComponent implements OnInit {

  private i:boolean=true
/*
  constructor(private router: Router) {
    router.events.pipe(
      filter(event => event instanceof NavigationEnd)
    )
      .subscribe(event => {
        console.log(event.toString());
      });
  }
 */
  constructor(private router: Router) {

  }
  labels:any=["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]

//*************************lineChart-Trio*****************************
  data:any ={
    labels:this.labels,
    datasets: [ {
      label: "Temperature-1",
      data: [1400, 3000, 2500, 4500, 2500, 3400, 3000],
      fill:true,
   //   fillColor: '#d20f0f',
      borderColor:"rgba(255, 10, 13, 0.8)",
      backgroundColor: "rgba(255, 10, 13, 0.1)",
      tension:0.2
    },
      {
        label: "Temperature-2",
        data: [1500, 2500, 2500, 4000, 2600, 3500, 2900],
        fill:true,
        //   fillColor: '#d20f0f',
        //     borderColor:"#200",
        borderColor:"rgba(136,26,28,0.8)",
        backgroundColor: "rgba(255, 10, 13, 0.1)",
        tension:0.2
      },
      {
        label: "Temperature-3",
        data: [1700, 2300, 2300, 3500, 2300, 4500, 2900],
        fill:true,
        //   fillColor: '#d20f0f',
        //     borderColor:"#200",
        borderColor:"rgba(255,10,141,0.8)",
        backgroundColor: "rgba(255, 10, 13, 0.1)",
        tension:0.2
      }
    ]
  }

  linConfig:any={
    type:'line',
    data:this.data,
    options:{
      responsive:true,
      radius:5,
      hoverRadius:12,
      hitRadius:30
    }
  }
  //*************************BarChart-Rain*****************************
  databar:any ={
    labels:this.labels,
    datasets: [ {
      label: "Rain",
      data: [1400, 300, 2500, 4500, 2500, 3400, 3000],
      fill:true,
      fillColor:'#111',
      backgroundColor: "rgba(10,145,255,0.5)",
   //   borderColor:"#111",

    }]
  }
  barConfig:any={
    type:'bar',
    data:this.databar,
    options:{
      responsive:true,
      radius:5,
      hoverRadius:12,
      hitRadius:30
    }
  }
//*************************lineChart-Solo*****************************
  data_lineSolo:any ={
    labels:this.labels,
    datasets: [ {
      label: "Rain",
      data: [1400, 300, 2500, 4500, 2500, 3400, 3000],
      fill:true,
      fillColor:'#111',
      borderColor:"rgba(75,154,3,0.9)",
      backgroundColor: "rgba(10,255,43,0.1)",
      //   borderColor:"#111",

    }]
  }
  config_lineSolo:any={
    type:'line',
    data:this.data_lineSolo,
    options:{
      responsive:true,
      radius:3,
      hoverRadius:12,
      hitRadius:30,
      tension:0.05,

    }
  }
  //*************************Pint-Dendrometer-Solo*****************************
  data_pointSolo:any ={
    labels:this.labels,
    datasets: [ {
      label: "Dendrometer",
      data: [1400, 300, 2500, 4500, 2500, 3400, 3000],
      fill:true,

     // borderColor:"rgb(39,45,33)",
      borderColor:"rgb(100,176,27)",
      backgroundColor: "rgba(10,255,43,0.00)",
      showLine:false
      //   borderColor:"#111",

    }]
  }
  blacK_config_pointSolo:any={
    type:'line',
    data:this.data_pointSolo,
    options:{
      plugins: {
        legend: {
          display: true,
          labels: {
   //         color: 'white'
          }
        }
      },
     labelColors:'white',
      responsive:true,
      radius:5,
      hoverRadius:12,
      hitRadius:30,
      tension:0.05,
      pointBorderWidth:4,
      scales: {
        x: {
          grid: {
            color:"rgba(255,255,255,0.3)",
          },
          ticks: {
            color: "white"
          }
        },
        y: {
          grid: {
            color:"rgba(255,255,255,0.3)",
          },
          ticks: {
           color: "white"
          }
        }
      }

    }
  }
  white_data_pointSolo:any ={
    labels:this.labels,
    datasets: [ {
      label: "Rain",
      data: [1400, 300, 2500, 4500, 2500, 3400, 3000],
      fill:true,
      fillColor:'#111',
      borderColor:"rgba(75,154,3,0.9)",
      backgroundColor: "rgba(10,255,43,0.1)",
      //   borderColor:"#111",

    }]
  }


  white_config_pointSolo:any={
    type:'line',
    data:this.white_data_pointSolo,
    options:{
      responsive:true,
      radius:3,
      hoverRadius:12,
      hitRadius:30,
      tension:0.05,

    }
  }

  linechart: any;
  barchart:any
  soloLineChart:any
  pointChart:any

  ngOnInit(): void {
    this.linechart=new Chart('chart2',this.linConfig)
    this.barchart=new Chart('barchart',this.barConfig)
    this.soloLineChart=new Chart('soloLineChart',this.config_lineSolo)
    this.pointChart= new Chart('pointChart',this.white_config_pointSolo)
    console.log("helllllo")
    console.log("hello"+this.router.url)
  }


}
