import { ComponentFixture, TestBed } from '@angular/core/testing';

import {StationConfigComponent, TreeStation} from './station-config.component';
import {
  ClientControllerService,
  HostControllerService, SensorControllerService, Station,
  StationControllerService
} from "../../../../../../projects/generated-api/src";
import {MatTreeModule} from "@angular/material/tree";
import {catchError} from "rxjs";


describe('StationConfigComponent', () => {
  let component: StationConfigComponent;
  let fixture: ComponentFixture<StationConfigComponent>;
  const station:Station={name:'Test Station'}
  let treeStation: TreeStation;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports:[MatTreeModule],
      declarations: [ StationConfigComponent ],
      providers: [TreeStation],
    })
    treeStation = TestBed.inject(TreeStation);
  });


  it('some test',()=>{
    expect(true).toEqual(true);
  })

  it('should create a TreeStation instance', () => {
    expect(treeStation).toBeTruthy();
  });

  it('add Station', () => {
    treeStation.addStation(station);
   try {
     console.log('getstaion',treeStation.getStation)
   }
   catch (e) {
     console.log('error',e)
   }

    console.log('staionintern',station)
    expect(treeStation.getStation()).toEqual(station);
  });
});


