import {Component, ElementRef, Input, ViewChild} from '@angular/core';
import {
  AvgMinMax,
  DendrometerDailyValue,
  LevelOneResponse,
  SumOrAvg
} from "../../../../../../../projects/generated-api/src";
import {MapperService} from "../../../../../shared/service/mapper.service";

@Component({
  selector: 'app-list-icon',
  templateUrl: './list-icon.component.html',
  styleUrls: ['./list-icon.component.scss']
})
export class ListIconComponent {

  @Input() isGrid:boolean=true
  @Input()  dentrometerDailyValue:DendrometerDailyValue[]=[]
  @Input() avgMinMax:AvgMinMax[]=[]
  @Input() sumOrAvg:SumOrAvg[]=[]
  // @ts-ignore
  @ViewChild('scrollContainer') scrollContainer: ElementRef ;

  constructor(public mapper: MapperService) {}

  scrollLeft() {
    this.scrollContainer.nativeElement.scrollLeft -= 100; // Adjust the scrolling speed as needed
  }

  scrollRight() {
    this.scrollContainer.nativeElement.scrollLeft += 100; // Adjust the scrolling speed as needed
  }
}
