import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, CanActivate, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class RoleGuard implements CanActivate {
  canActivate(): boolean {
    if (localStorage.getItem('role') === 'ROLE_ADMIN') {
      return true;
    }
    alert('You are not authorized to view this page!');
    return false;
  }
}
