import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {ProViewComponent} from "./module/components/pro-view/pro-view.component";
import {HomeComponent} from "./module/pages/home/home.component";
import {LoginTailwindcssComponent} from "./module/pages/login/login.component";
import {SummaryComponent} from "./module/pages/home/summary/summary.component";
import {StationConfigComponent} from "./module/pages/home/station-config/station-config.component";

const routes: Routes = [
  {path: '', redirectTo: 'login', pathMatch: 'full'},
 // {path: 'dashboard', component: Lev0Ver2Component, canActivate: [AuthGuard]},
  {path: 'chart2', component: ProViewComponent},
  {path: '', component: LoginTailwindcssComponent,outlet:'main'},
  {path: 'login', component: LoginTailwindcssComponent,outlet:'main'},
  { path: 'homeDash', component: HomeComponent,outlet:'main',
    children: [
      { path: '', component: SummaryComponent, outlet: 'homeDash' },
      { path: 'chart', component: ProViewComponent, outlet: 'homeDash' },
      {path: 'summary',component: SummaryComponent,outlet: 'homeDash'},
      {path: 'settings',component: StationConfigComponent,outlet: 'homeDash'},
    ]
  },

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
