import {Injectable, OnDestroy} from '@angular/core';
import { Subject } from 'rxjs';
@Injectable()
export abstract class UnsubscribeOnDestroy implements OnDestroy {
  protected unsubscribe$ = new Subject<void>();

  ngOnDestroy(): void {
    this.unsubscribe$.next();
    this.unsubscribe$.complete();
  }
}
